DatagramSocketImpl
Date: 2016-06-24

java.net

## Class DatagramSocketImpl

- java.lang.Object
- - java.net.DatagramSocketImpl

- All Implemented Interfaces:
    SocketOptions

      public abstract class DatagramSocketImpl
      extends Object
      implements SocketOptions

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected FileDescriptor` | `fd`
    `protected int` | `localPort`

    - ### Fields inherited from interface java.net.SocketOptions

      `IP_MULTICAST_IF, IP_MULTICAST_IF2, IP_MULTICAST_LOOP, IP_TOS, SO_BINDADDR, SO_BROADCAST, SO_KEEPALIVE, SO_LINGER, SO_OOBINLINE, SO_RCVBUF, SO_REUSEADDR, SO_SNDBUF, SO_TIMEOUT, TCP_NODELAY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatagramSocketImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `bind(int var0, InetAddress var1)`
    `protected abstract void` | `close()`
    `protected void` | `connect(InetAddress var0, int var1)`
    `protected abstract void` | `create()`
    `protected void` | `disconnect()`
    `protected FileDescriptor` | `getFileDescriptor()`
    `protected int` | `getLocalPort()`
    `protected abstract int` | `getTimeToLive()`
    `protected abstract void` | `join(InetAddress var0)`
    `protected abstract void` | `joinGroup(SocketAddress var0, NetworkInterface var1)`
    `protected abstract void` | `leave(InetAddress var0)`
    `protected abstract void` | `leaveGroup(SocketAddress var0, NetworkInterface var1)`
    `protected abstract int` | `peek(InetAddress var0)`
    `protected abstract int` | `peekData(DatagramPacket var0)`
    `protected abstract void` | `receive(DatagramPacket var0)`
    `protected abstract void` | `send(DatagramPacket var0)`
    `protected abstract void` | `setTimeToLive(int var0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.net.SocketOptions

      `getOption, setOption`

- - ### Field Detail

    - #### fd

          protected FileDescriptor fd

    - #### localPort

          protected int localPort

  - ### Constructor Detail

    - #### DatagramSocketImpl

          public DatagramSocketImpl()

  - ### Method Detail

    - #### bind

          protected abstract void bind(int var0,
                  InetAddress var1)
                                throws SocketException

      Throws:
        `SocketException`

    - #### close

          protected abstract void close()

    - #### connect

          protected void connect(InetAddress var0,
                     int var1)
                          throws SocketException

      Throws:
        `SocketException`

    - #### create

          protected abstract void create()
                                  throws SocketException

      Throws:
        `SocketException`

    - #### disconnect

          protected void disconnect()

    - #### getFileDescriptor

          protected FileDescriptor getFileDescriptor()

    - #### getLocalPort

          protected int getLocalPort()

    - #### getTimeToLive

          protected abstract int getTimeToLive()
                                        throws IOException

      Throws:
        `IOException`

    - #### join

          protected abstract void join(InetAddress var0)
                                throws IOException

      Throws:
        `IOException`

    - #### joinGroup

          protected abstract void joinGroup(SocketAddress var0,
                       NetworkInterface var1)
                                     throws IOException

      Throws:
        `IOException`

    - #### leave

          protected abstract void leave(InetAddress var0)
                                 throws IOException

      Throws:
        `IOException`

    - #### leaveGroup

          protected abstract void leaveGroup(SocketAddress var0,
                        NetworkInterface var1)
                                      throws IOException

      Throws:
        `IOException`

    - #### peek

          protected abstract int peek(InetAddress var0)
                               throws IOException

      Throws:
        `IOException`

    - #### peekData

          protected abstract int peekData(DatagramPacket var0)
                                   throws IOException

      Throws:
        `IOException`

    - #### receive

          protected abstract void receive(DatagramPacket var0)
                                   throws IOException

      Throws:
        `IOException`

    - #### send

          protected abstract void send(DatagramPacket var0)
                                throws IOException

      Throws:
        `IOException`

    - #### setTimeToLive

          protected abstract void setTimeToLive(int var0)
                                         throws IOException

      Throws:
        `IOException`